> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemandate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account



## OpenAPI

````yaml /openapi.json post /accounts
openapi: 3.1.0
info:
  title: Mandate API
  version: 0.1.0
servers:
  - url: https://api.usemandate.io
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Agents
  - name: Mandates
  - name: Payments
  - name: Sellers
  - name: Verification
  - name: Transactions
  - name: Audit
  - name: Accounts
  - name: Policy
paths:
  /accounts:
    post:
      tags:
        - Accounts
      summary: Create Account
      operationId: create_account_route_accounts_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Create Account Route Accounts Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateAccountRequest:
      properties:
        name:
          type: string
          title: Name
          example: Acme Corporation
        email:
          type: string
          title: Email
          example: contact@acmecorp.com
        supabase_user_id:
          type: string
          title: Supabase User Id
          example: user-123e4567-e89b-12d3-a456-426614174000
      type: object
      required:
        - name
        - email
        - supabase_user_id
      title: CreateAccountRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Use your sandbox (ky_sand_) or production (ky_prod_) API key

````